# vispy.visuals.transforms.interactive module

class vispy.visuals.transforms.interactive.PanZoomTransform(canvas=None, aspect=None, **kwargs)

  Bases: `STTransform`

  Pan-zoom transform

  Parameters:
    canvas instance of Canvas | None

      The canvas to attch to.

    aspect float | None

      The aspect ratio to apply.

    **kwargs dict

      Keyword arguments to pass to the underlying STTransform.

  attach(canvas)

    Attach this tranform to a canvas

    Parameters:
      canvas instance of Canvas

        The canvas.

  property canvas_tr
  on_mouse_move(event)

    Mouse move handler

    Parameters:
      event instance of Event

        The event.

  on_mouse_wheel(event)

    Mouse wheel handler

    Parameters:
      event instance of Event

        The event.

  on_resize(event)

    Resize handler

    Parameters:
      event instance of Event

        The event.

previous

vispy.visuals.transforms.chain module

next

vispy.visuals.transforms.linear module